@protocol HasLifecycle
- (void) addFinallyListener:(BasicBlock) l;
- (void) addFirstFinallyListener:(BasicBlock) l;
@end

@protocol HasLifecycleWithCancel <HasLifecycle>
- (void) cancel;
- (BOOL) cancelled;
@end


@protocol HasLifecycleWithProgress <HasLifecycle>
- (void) addProgressListener:(FloatArgBlock) progress;
@end
