#import <Security/Authorization.h>

@interface RootProcess : NSObject {
	NSString *path;
	NSArray *arguments;
	BOOL wantInputAndOutput;
	NSFileHandle *ioHandle;
	AuthorizationRef authRef;
	OSStatus status;
}

@property (readonly) OSStatus status;
@property (assign) AuthorizationRef authRef;
@property (retain) NSFileHandle *ioHandle;
@property (assign) BOOL wantInputAndOutput;
@property (retain) NSArray *arguments;
@property (retain) NSString *path;

- (BOOL) authorise;
- (BOOL) launch:(BOOL) waitForEnd;
- (BOOL) authoriseAndLaunch:(BOOL) waitForEnd;

@end
