#import <Cocoa/Cocoa.h>

@interface NSXMLNode (XmlAdditions)

// throws exception if xpath error, if more than one result, or no result and required
- (id) nodeForXPath:(NSString*) xpath required:(BOOL) required;

// throws exception if xpath error, or no result and required
- (id) firstNodeForXPath:(NSString*) xpath required:(BOOL) required;

@end



@interface NSXMLElement (XmlAdditions)

- (NSArray*) childElements;

- (NSString*) attributeValueForName:(NSString*) name;

// throws exception if attribute missing
- (NSString*) requiredAttributeForName:(NSString*) name;

@end
