/*
 Retains objects that are responsible for their own alloc and dealloc, in such a way that it doesn't trigger problems in the static analyser.
 */
@interface Keeper : NSObject

+ (void) keep:(id) o;
+ (void) unkeep:(id) o;

@end
