@interface NoRetainDictionary : NSObject {
	NSMutableDictionary *dict;
}
@property (retain) NSMutableDictionary *dict;

- (id) objectForKey:(NSString*) key;
- (NSArray*) allKeys;
- (void) setObject:(id) ob forKey:(id) key;
- (void) removeObjectForKey:(id) key;

@end


@interface NoRetainArray : NSObject {
	NSMutableArray *array;
}
@property (retain) NSMutableArray *array;

- (BOOL) containsObject:(id) ob;
- (void) addObject:(id)ob;
- (id) objectAtIndex:(int) i;
- (BOOL) removeObject:(id) ob;
- (int) count;

@end
