package com.flyingmac.webjimbo.gwt.web;

import com.flyingmac.gwt.widgets.web.StdResources;
import com.flyingmac.gwtlib.laf.browser.web.BrowserLafResources;
import com.flyingmac.gwtlib.web.GwtResources;
import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.ImageResource;

public interface SharedResources extends GwtResources, BrowserLafResources, StdResources {

    @Source("com/flyingmac/webjimbo/gwt/web/flagSmall.png")
    ImageResource flagSmall();

    @Source("com/flyingmac/webjimbo/gwt/web/encryptedSmall.png")
    ImageResource encryptedSmall();

    @Source("com/flyingmac/webjimbo/gwt/web/labelBlob.png")
    ImageResource labelBlob();


    @Source("com/flyingmac/webjimbo/gwt/web/readOnlySmall.png")
    ImageResource readOnlySmall();



    @Source("com/flyingmac/webjimbo/gwt/web/blankIcon.png")
    ImageResource blankIcon();


    @Source("com/flyingmac/webjimbo/gwt/web/Shared.css")
    @CssResource.NotStrict
    CssResource sharedCss();


   @Source("com/flyingmac/webjimbo/gwt/web/note.png")
    ImageResource note();

    @Source("com/flyingmac/webjimbo/gwt/web/bookmark.png")
    ImageResource bookmark();

    @Source("com/flyingmac/webjimbo/gwt/web/password.png")
    ImageResource password();

    @Source("com/flyingmac/webjimbo/gwt/web/serial.png")
    ImageResource serial();

    @Source("com/flyingmac/webjimbo/gwt/web/webArchive.png")
    ImageResource webArchive();

    @Source("com/flyingmac/webjimbo/gwt/web/pdf.png")
    ImageResource pdf();

    @Source("com/flyingmac/webjimbo/gwt/web/image.png")
    ImageResource image();

}
